Intereting Posts
Чтение и запись данных через USB-порт на Android 3.1 Кинжал 2 с Android Studio 3.0 Preview (Canary 2) с использованием аннотации Processor вместо android-apt Как отобразить диалог из службы Предупреждение: Игнорирование артефакта API Android com.google.android:android:4.1.1.4 Как установить другой цвет границы прямоугольника с использованием штриха Com.google.aaaal 400 Bad Request {"error": "invalid_grant"} при вставке строки в bigquery Контент-провайдер Android и отношение «многие-ко-многим» БД Изменение подсказки подсказки SearchKompat SearchView Проблема с макетами: SliderDrawer не заполняет родительскую ширину Создание фонового рисунка с использованием списка слоев, растяжение значка Удаленные изображения в ListView с шаблоном ViewHolder Как установить разделитель (до нуля) настраиваемого макета ListFragment Установка камеры и ширины телефонной камеры Перетаскивание изображений в android Как использовать FileTransfer.download на Android

Error: не удается найти метод символов getMap () после обновления зависимостей

После того, как я обновил свои зависимости, мой getMap () не будет работать. (Раньше он работал отлично до обновления)

Вот строка кодов, я получаю ошибку

GoogleMap map = ((MapView) mRootView.findViewById(R.id.fragment_map_mapview)).getMap(); Location locationNet = locationManager.getLastKnownLocation(LocationManager.NETWORK_PROVIDER); Location locationGps = locationManager.getLastKnownLocation(LocationManager.GPS_PROVIDER); 

Торжественный код

 dependencies { compile 'com.android.support:support-v4:24.0.0' compile 'com.android.support:appcompat-v7:24.0.0' compile 'com.android.support:cardview-v7:24.0.0' compile 'com.android.support:recyclerview-v7:24.0.0' //compile 'com.google.android.gms:play-services:7.3.0' compile 'com.google.android.gms:play-services:9.2.0' compile 'com.afollestad:material-dialogs:0.6.3.4@aar' compile 'com.bignerdranch.android:recyclerview-multiselect:0.1' compile 'com.j256.ormlite:ormlite-android:4.48' compile 'com.melnykov:floatingactionbutton:1.2.0' compile 'com.nostra13.universalimageloader:universal-image-loader:1.9.3' compile 'se.emilsjolander:StickyScrollViewItems:1.1.0' compile 'com.squareup.picasso:picasso:2.5.2' compile fileTree(include: ['*.jar'], dir: 'libs') } 

getMap() – это устаревший API, который был удален в Google Play Services 9.2. Вам нужно будет заменить это getMapAsync() повсюду (или остаться с более старой версией Служб Службы).